API ReferenceOrganizations

/public/quota-requests

POST
/public/quota-requests

Authorization

ApiKeyAuth
X-Api-Key<token>

API key for authentication. Passed as a header on every request.

In: header

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://companion-api.napster.com/public/quota-requests" \  -H "Content-Type: application/json" \  -d '{    "quotaType": "sipPods",    "requestedValue": 0  }'
{
  "id": "string",
  "organizationId": "string",
  "quotaType": "sipPods",
  "requestedValue": 0,
  "approvedValue": 0,
  "reason": "string",
  "requestedBy": "string",
  "status": "pending",
  "created": "2019-08-24T14:15:22Z",
  "reviewedAt": "2019-08-24T14:15:22Z",
  "reviewedBy": "string",
  "reviewNotes": "string"
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}